JR Aquino wrote:
./lite-server.py -d
ipa: DEBUG: importing all plugin modules in '/usr/src/freeipa/ipalib/plugins'...
ipa: DEBUG: importing plugin module '/usr/src/freeipa/ipalib/plugins/aci.py'
ipa: DEBUG: importing plugin module 
'/usr/src/freeipa/ipalib/plugins/automount.py'
ipa: ERROR: could not load plugin module 
'/usr/src/freeipa/ipalib/plugins/automount.py'
Traceback (most recent call last):
   File "/usr/src/freeipa/ipalib/plugable.py", line 538, in import_plugins
     __import__(fullname)
   File "/usr/src/freeipa/ipalib/plugins/automount.py", line 172, in<module>
     from ipalib.plugins.baseldap import *
   File "/usr/src/freeipa/ipalib/plugins/baseldap.py", line 30, in<module>
     from ipalib.cli import to_cli, from_cli
   File "/usr/src/freeipa/ipalib/cli.py", line 35, in<module>
     import default_encoding_utf8
ImportError: No module named default_encoding_utf8

Patch is a 1 liner that changes:

import default_encoding_utf8

To

from policycoreutils import default_encoding_utf8

We provide a module of the same name. You probably just need to update your base install on your IPA server.

This is very interesting though. I'll check with those guys, maybe we can drop our local copy if they're doing the same thing.

So NACK for now until we can figure this out.

rob

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to